TikTok 标签
curl --request POST \
--url https://api.socq.ai/v1/tiktok/hashtags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hashtags": [
"<string>"
],
"results_limit": 1000
}
'import requests
url = "https://api.socq.ai/v1/tiktok/hashtags"
payload = {
"hashtags": ["<string>"],
"results_limit": 1000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hashtags: ['<string>'], results_limit: 1000})
};
fetch('https://api.socq.ai/v1/tiktok/hashtags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>"
}
}{
"code": 422,
"error": {
"message": "<string>",
"type": "<string>",
"details": {}
}
}TikTok 标签
采集与一个或多个主题标签匹配的公开 TikTok 视频。
POST
/
v1
/
tiktok
/
hashtags
TikTok 标签
采集一个或多个主题标签的公共视频。领先的# 是可选的。
{
"hashtags": ["tutorial", "#python"],
"results_limit": 50
}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/tiktok/hashtags |
| Compact MCP | socq_execute 与 endpoint: "tiktok/hashtags" |
| Typed MCP | socq_tiktok_hashtags |
| 精确工具 URL | https://api.socq.ai/mcp?tools=tiktok_hashtags |
| CLI | socq tiktok hashtags |
socq_execute 的嵌套 input 对象,或将相同的字段直接传递给Typed 工具。Typed 工具还接受 _wait_seconds、_result_limit 和 _idempotency_key。
成功的采集将返回
task_id。继续 socq_get_task 直到任务成功,然后从 results.items 读取规范化记录。results_limit 默认为 100 并适用于每个主题标签。
结果使用TikTok 视频 中记录的归一化结构,其中 resource 设置为 hashtags。匹配的主题标签及其可用指标将在 extra 下返回。
结果字段
任务结果使用下列稳定的 SocQ 字段。来源特有的字段名称和格式会被规范化,但不会推断或补充来源未提供的值。如需请求更小的字段集,MCP 查询请使用fields,Typed 工具请使用 _result_fields,CLI 请使用 --result-fields。即使值为 null,已声明的字段仍会保留。
| 字段 | 类型 | 可空 | 说明 |
|---|---|---|---|
id | string | 是 | 当前结果项的唯一标识。 |
platform | string | 否 | 结果所属的平台,例如 instagram 或 linkedin。 |
resource | string | 否 | 该结果对应的 SocQ 资源,例如 videos 或 comments。 |
type | string | 否 | 结果项的类别,例如 video、post 或 comment。 |
url | string | 是 | 结果项的公开访问地址(如可获得)。 |
published_at | string | 是 | 源内容的发布时间(如可获得),使用 ISO 8601 格式。 |
collected_at | string | 否 | SocQ 采集或处理该结果的时间,使用 ISO 8601 格式。 |
name | string | 是 | 话题标签或趋势名称。 |
rank | integer | 是 | 趋势在来源榜单中的排名。 |
region | string | 是 | 地区、州或省份名称。 |
metrics | object | 是 | 结果项可获得的计数和度量数据。 |
metrics.posts_count | integer | 是 | 帖子数量,或与趋势关联的帖子数量。 |
metrics.views_count | integer | 是 | 平台报告的观看数量。 |
任务完成响应
{
"code": 200,
"data": {
"task_id": "XN7I2RAYRFVR1S6P",
"status": "succeeded",
"public_id": "tiktok/hashtags",
"result_count": 5,
"credits_amount": 3.5,
"results": {
"limit": 1,
"next_cursor": "NjY2NA",
"has_more": true,
"schema_id": "hashtag-trend",
"schema_version": "1.0",
"items": [
{
"id": "7606390788867575071",
"platform": "tiktok",
"resource": "hashtags",
"type": "video",
"url": "https://www.tiktok.com/@destinationinspiration/video/7606390788867575071",
"published_at": "2026-02-13T16:41:15Z",
"collected_at": "2026-07-31T02:26:38.115834Z",
"name": null,
"rank": null,
"region": null,
"metrics": {
"posts_count": null,
"views_count": 3200000
}
}
]
}
}
}
授权
bearerAuthapiKeyAuth
使用 Authorization: Bearer <token> 请求头进行身份验证。
请求体
application/json

